

<%
desc1 = security.description || false
desc2 = security.has_type_model? ? security.get_type.comment : false
if desc1 || desc2 || security.has_trading_ceased? %>
 <p class="comment_text">
   <%=
    [
      desc1,
      desc2,
      (security.has_trading_ceased? ? "\n\n" : ''),
      (security.has_trading_ceased? ? 'Trading has been ceased on %s.' % smr_humanize(security.time_trading_ceased) : ''),
      (security.trading_ceased_reason.blank? ? '' : 'Reason: %s.' % security.trading_ceased_reason),
    ].compact.join(' ').strip
   %>
 </p>
<% end %>

<div id="overview">
 <div><div>

    <%= render :partial=>'security_quote', :locals=>{:security=>@security} %>

    <% unless @intraday_quotes.empty? %>
    <div class="overview_container">
    <table id="overview_security_intraday">
      <thead>
        <tr><th colspan="3">Intraday Quotes</th></tr>
        <tr>
            <th>Price</th>
            <th>Volume</th>
            <th>Exchange</th>
        </tr>
      </thead>
      <tbody>
        <% @intraday_quotes.each do |q| %>
        <tr>
            <td><%= q.last %></td>
            <td><%= smr_humanize q.volume, :shortword=>true %></td>
            <td><span><%= smr_humanize q.time_last, :date_time_only=>true %></span><%= q.exchange %></td>
        </tr>
        <% end %>
      </tbody>
    </table>
    </div>
    <% end %>

    <%= render :partial=>'security_info_%s' % @security.type, :locals=>{:security=>@security} %>

    <% unless @quoterecords.empty? %>
    <div class="overview_container">
    <table id="overview_security_quoterecords">
      <thead>
        <tr><th colspan="2">Quoterecords</th></tr>
      </thead>
      <tbody>
        <tr>
            <td>Last Record in</td>
            <td>
                <%= link_to Smr::Quoterecords.translate_column(@quoterecords.get_last_recorded_column),
                            quoterecords_path(:id_security=>@security.id) %>
            </td>
        </tr>
        <tr>
            <td>Pivotal Points</td>
            <td>
             <% Smr::Quoterecords.get_columns.each do |c|
                val = @quoterecords.get_pivot_point c
                next unless val
             %>
                <div><%= Smr::Quoterecords.translate_column c %> at <span><%= val %></span></div>
             <% end %>
            </td>
        </tr>
      </tbody>
    </table>
    </div>
    <% end %>

    <% if @figures_have_data %>
    <div class="overview_container" id="portrait_figures_container">
    <table class="overview_security_figures" id="figures">
      <thead>
        <tr><th colspan="8">Latest Figures</th></tr>
      </thead>
      <tbody>
        <% for row in 0...@figures_datatable.rows %>
        <tr <% if @figures_datatable.rowspan(row) %>
                <% if row>0 and @figures_datatable.rowspan(row+1) %>class="separaterows"
                <% elsif row>0 %>class="separaterows_rowspan"<% end %>
            <% end %>
        >
          <% for col in 0...@figures_datatable.columns %>
            <% next if col==0  and not @figures_datatable.rowspan(row) #skip blanked cells %>

            <td <% if col==0 %>rowspan="<%=@figures_datatable.rowspan(row)%>"<% end %>>
             <%= if @figures_datatable.link(row, col) then
                    link_to(smr_humanize(@figures_datatable.cell(row, col), :scientific=>true), @figures_datatable.link(row, col))
                 else smr_humanize(@figures_datatable.cell(row, col), :scientific=>true) end %><%= @figures_datatable.cell_unit(row, col) %>
            </td>
          <% end %>
        </tr>
        <% end %>
      </tbody>
    </table>
    </div>
    <% end %>

 </div></div>
</div>
